package ppx_inline_test

  1. Overview
  2. No Docs
Syntax extension for writing in-line tests in ocaml code

Install

Dune Dependency

Authors

Maintainers

Sources

ppx_inline_test-113.33.00.tar.gz
sha256=30236e689413f85c6b68ce1d41776c0cddb8e67a030ebd08ec1d76c1cae9cc92
md5=cf2712068628c410e7bfd60dc07b663c

Description

Part of the Jane Street's PPX rewriters collection.

Published: 19 Mar 2016

Dependencies (6)

  1. ppx_tools >= "0.99.3"
  2. ppx_driver >= "113.33.00" & < "113.34.00"
  3. ppx_core >= "113.33.00" & < "113.34.00"
  4. ocamlfind build & >= "1.3.2"
  5. ocamlbuild build
  6. ocaml = "4.02.3"

Dev Dependencies

None

  1. alba >= "0.4.1" & < "0.4.3"
  2. async = "113.33.00"
  3. async_extended = "113.33.00"
  4. async_extra = "113.33.00"
  5. async_find = "113.33.00"
  6. async_inotify = "113.33.00"
  7. async_kernel = "113.33.00"
  8. async_parallel = "113.33.00"
  9. async_rpc_kernel = "113.33.00"
  10. async_shell = "113.33.00"
  11. async_smtp = "113.33.00"
  12. async_ssl >= "113.33.00" & < "113.33.03" | >= "113.33.06" & < "v0.9.0"
  13. async_unix = "113.33.00"
  14. autofonce
  15. autofonce_config
  16. autofonce_core
  17. autofonce_lib
  18. autofonce_m4
  19. autofonce_misc
  20. autofonce_patch
  21. autofonce_share
  22. aws-s3 >= "4.0.0"
  23. bignum = "113.33.00"
  24. bitpack_serializer
  25. caisar >= "0.2.1"
  26. caisar-ir
  27. coq-lsp >= "0.1.9+8.17"
  28. core = "113.33.00" | = "113.33.02"
  29. core_bench = "113.33.00"
  30. core_extended = "113.33.00"
  31. core_kernel >= "113.33.00" & < "113.33.01+4.03"
  32. core_profiler = "113.33.00"
  33. drom
  34. drom_lib
  35. drom_toml
  36. electrod >= "0.1.6" & < "0.5"
  37. email_message = "113.33.00"
  38. embedded_ocaml_templates >= "0.6"
  39. encoding < "0.0.4"
  40. ez_cmdliner >= "0.2.0"
  41. ez_config >= "0.2.0"
  42. ez_file >= "0.2.0"
  43. ez_hash < "0.5.3"
  44. ez_opam_file
  45. ez_search
  46. ez_subst
  47. fiber-lwt
  48. GT >= "0.5.0"
  49. guardian < "0.0.5"
  50. hdf5 >= "0.1.5"
  51. header-check
  52. incremental = "113.33.00"
  53. incremental_kernel < "113.33.03"
  54. jenga = "113.33.00"
  55. knights_tour
  56. lablqml >= "0.7"
  57. learn-ocaml >= "0.16.0"
  58. learn-ocaml-client >= "0.16.0"
  59. little_logger < "0.3.0"
  60. module-graph
  61. mula
  62. mysql8
  63. nice_parser
  64. nuscr < "2.0.0"
  65. OCanren >= "0.3.0~alpha1"
  66. OCanren-ppx >= "0.3.0~alpha1"
  67. ocaml-protoc-plugin
  68. ocaml_plugin = "113.33.00"
  69. ocp-search
  70. ocplib_stuff >= "0.3.0"
  71. opam-bin >= "0.9.5"
  72. opam-check-npm-deps
  73. opam_bin_lib >= "0.9.5"
  74. patdiff = "113.33.00"
  75. patience_diff = "113.33.00"
  76. pp-binary-ints
  77. ppx_bench = "113.33.00"
  78. ppx_deriving_cad
  79. ppx_deriving_scad
  80. ppx_expect = "113.33.00" | = "113.33.01"
  81. ppx_jane = "113.33.00"
  82. ppx_protocol_conv_json >= "4.0.0"
  83. ppx_ts
  84. psmt2-frontend >= "0.3.0"
  85. re2 = "113.33.00"
  86. res_tailwindcss
  87. rpc_parallel = "113.33.00"
  88. satyrographos < "0.0.1.5"
  89. sel
  90. simple63
  91. solidity-alcotest
  92. solidity-common
  93. solidity-parser
  94. solidity-test
  95. solidity-typechecker
  96. sqlite3 >= "5.0.1"
  97. textutils = "113.33.00"
  98. tezos-client-009-PsFLoren >= "10.2" & < "14.0"
  99. tezos-client-010-PtGRANAD < "14.0"
  100. tezos-client-011-PtHangz2 < "14.0"
  101. tezos-client-012-Psithaca < "14.0"
  102. tezos-client-013-PtJakart < "14.0"
  103. tezos-client-alpha >= "10.2" & < "14.0"
  104. tezos-micheline >= "9.0" & < "14.0"
  105. tezos-stdlib >= "9.0" & < "14.0"
  106. tezos-test-helpers = "13.0"
  107. toplevel_expect_test < "113.33.03"
  108. vscoq-language-server
  109. zanuda

Conflicts

None

OCaml

Innovation. Community. Security.